Bug 1121388 - Missing error message for CANNOT_FORCE_SELECT_SPM_VDS_ALREADY_SPM
Summary: Missing error message for CANNOT_FORCE_SELECT_SPM_VDS_ALREADY_SPM
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-core
Version: 3.5
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 3.5.0
Assignee: Tal Nisan
QA Contact: Carlos Mestre González
URL:
Whiteboard: storage
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-20 10:31 UTC by Moti Asayag
Modified: 2016-02-10 19:43 UTC (History)
8 users (show)

Fixed In Version: ovirt-3.5.0_rc1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-17 12:20:25 UTC
oVirt Team: Storage


Attachments (Terms of Use)
missing error (125.05 KB, image/png)
2014-07-20 10:31 UTC, Moti Asayag
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 30799 master MERGED wewbadmin: Corrected error enums for force select SPM in AppErrors.java Never
oVirt gerrit 30801 ovirt-engine-3.5 MERGED webadmin: Corrected error enums for force select SPM in AppErrors.java Never

Description Moti Asayag 2014-07-20 10:31:07 UTC
Created attachment 919358 [details]
missing error

Description of problem:
The webadmin doesn't translate the error code into a proper message

Version-Release number of selected component (if applicable):
commit 11b2a8bc15acc7186504fb5da3d021451381d73f

How reproducible:
always

Steps to Reproduce:
1. Select a host as SPM while it is  already selected as SPM.
2.
3.

Actual results:
see screenshot

Expected results:
an error should be properly translated

Additional info:
the relevant translation is missing from AppErrors.java

Comment 1 Carlos Mestre González 2014-08-12 11:40:21 UTC
Artear a talk with Tal, the fix is disabling the "Select as SPM" button in the webui when the host is already the SPM.

That works for RC1 
(ovirt-engine-3.5.0-0.0.master.20140804172041.git23b558e.el6.noarch)

Additional note: CANNOT_FORCE_SELECT_SPM_VDS_ALREADY_SPM shows proper message [Cannot force select SPM. The Host 10.34.62.206 is already SPM or contending.] throught REST-API.

Comment 2 Sandro Bonazzola 2014-10-17 12:20:25 UTC
oVirt 3.5 has been released and should include the fix for this issue.


Note You need to log in before you can comment on or make changes to this bug.